rdma-core (50.0-1) unstable; urgency=medium

  * New upstream release.
    - support cython 3.0.x (Closes: #1056882)
    - add support for loongarch64 (Closes: #1059022)
  * Replace obsolete pkg-config by pkgconf
  * Update years in debian/copyright
  * Use unversioned library names in package description
  * Installs udev/systemd files below /usr/lib (Closes: #1059188)

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 26 Feb 2024 17:41:04 +0100

rdma-core (48.0-1) unstable; urgency=medium

  * New upstream release.

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 23 Oct 2023 18:40:29 +0200

rdma-core (47.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop obsolete versioned dependency on lsb-base

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 07 Aug 2023 11:26:40 +0200

rdma-core (44.0-2) unstable; urgency=medium

  * debian: Add 32-bit MIPS architectures to COHERENT_DMA_ARCHS and
    inverse the list to NON_COHERENT_DMA_ARCHS (Closes: #1026088)

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 10 Jan 2023 13:59:10 +0100

rdma-core (44.0-1) unstable; urgency=medium

  * New upstream release.
    - Add Microsoft Azure Network Adapter (MANA) RDMA provider
    - util: mmio: fix build on MIPS with binutils >= 2.35
  * Add 64-bit MIPS architectures to COHERENT_DMA_ARCHS (Closes: #1026088)
  * debian/watch: Query api.github.com for release tarballs

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 03 Jan 2023 17:29:32 +0100

rdma-core (43.0-1) unstable; urgency=medium

  * New upstream release.
    - Install 70-persistent-ipoib.rules into docs instead of /etc
      (Closes: #958385)

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 24 Oct 2022 18:21:42 +0200

rdma-core (42.0-1) unstable; urgency=medium

  * New upstream release.
  * Update overrides for lintian 2.115.2
  * Bump Standards-Version to 4.6.1

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 18 Aug 2022 15:24:14 +0200

rdma-core (40.0-1) unstable; urgency=medium

  [ Benjamin Drung ]
  * New upstream release.
  * Update my email address to @ubuntu.com

  [ Heinrich Schuchardt ]
  * Add riscv64 to COHERENT_DMA_ARCHS

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 16 May 2022 13:55:12 +0200

rdma-core (39.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove i40iw provider conffile (Closes: #1000562)
  * Update overrides for lintian 2.114
  * Override obsolete-command-in-modprobe.d-file lintian error
  * Override spare-manual-page lintian complaint

 -- Benjamin Drung <benjamin.drung@ionos.com>  Thu, 27 Jan 2022 19:57:04 +0100

rdma-core (38.0-1) unstable; urgency=medium

  * New upstream release.
  * debian: Add __verbs_log to private libibverbs symbols

 -- Benjamin Drung <benjamin.drung@ionos.com>  Fri, 19 Nov 2021 17:57:18 +0100

rdma-core (36.0-2) unstable; urgency=medium

  * Revert installing systemd services in /usr/lib/systemd/system.
    See #994388 for more details. (Closes: #997727)

 -- Benjamin Drung <benjamin.drung@ionos.com>  Tue, 09 Nov 2021 11:13:56 +0100

rdma-core (36.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.0
  * Install systemd services in /usr/lib/systemd/system
  * Mark libraries as Multi-Arch: same

 -- Benjamin Drung <benjamin.drung@ionos.com>  Mon, 13 Sep 2021 14:09:01 +0200

rdma-core (33.2-1) unstable; urgency=medium

  * New upstream bug-fix release:
    - libhns: Fix wrong range of a mask
    - verbs: Fix attr_optional() when 'IOCTL_MODE=write' is used
    - mlx4: Fix mlx4_read_clock returned errno value
    - efa: Fix use of uninitialized query device response
    - libhns: Avoid accessing NULL pointer when locking/unlocking CQ
    - mlx5: Fix mlx5_read_clock returned errno value
    - bnxt_re/lib: Check AH handler validity before use
    - iwpmd: Check returned value of parse_iwpm_msg
    - libhns: Bugfix for calculation of extended sge

 -- Benjamin Drung <benjamin.drung@ionos.com>  Thu, 03 Jun 2021 11:19:24 +0200

rdma-core (33.1+git20210317-1) unstable; urgency=medium

  * New upstream bug-fix snapshot:
    - mlx5: Fix uuars to have the 'uar_mmap_offset' data
    - pyverbs: Fix Mlx5 QP constructor
    - efa: Fix DV extension clear check
    - verbs: Fix possible port loop overflow
    - ibacm: Fix possible port loop overflow
    - mlx5: DR, Check new cap for isolated VL TC QP
    - kernel-boot: Fix VF lookup
    - mlx5: DR, Force QP drain on table creation
    - libhns: Avoid double release of a pointer
    - libhns: Correct definition of DB_BYTE_4_TAG_M
    - libhns: Remove assert to check whether a pointer is NULL
    - libhns: Remove the unnecessary mask on QPN of CQE
    - libhns: Remove unnecessary mask of ownerbit
    - libhns: Remove unnecessary barrier when poll cq
    - rdma-ndd: fix udev racy issue for system with multiple InfiniBand HCAs
    - verbs: Fix create CQ comp_mask check
  * Update my email address

 -- Benjamin Drung <benjamin.drung@ionos.com>  Mon, 12 Apr 2021 11:28:57 +0200

rdma-core (33.1-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Benjamin Drung <benjamin.drung@cloud.ionos.com>  Wed, 27 Jan 2021 14:32:48 +0100

rdma-core (33.0-1) unstable; urgency=medium

  * New upstream release.

 -- Benjamin Drung <benjamin.drung@cloud.ionos.com>  Mon, 04 Jan 2021 16:41:27 +0100

rdma-core (32.0-1) unstable; urgency=medium

  * New upstream release.

 -- Benjamin Drung <benjamin.drung@cloud.ionos.com>  Fri, 30 Oct 2020 10:01:11 +0100

rdma-core (31.0-1) unstable; urgency=medium

  * New upstream release.
  * Switch to debhelper 13

 -- Benjamin Drung <benjamin.drung@cloud.ionos.com>  Wed, 19 Aug 2020 09:36:17 +0200

rdma-core (29.0-1) unstable; urgency=medium

  * New upstream release.

 -- Benjamin Drung <benjamin.drung@cloud.ionos.com>  Tue, 14 Apr 2020 16:15:54 +0200

rdma-core (28.0-1) unstable; urgency=medium

  * New upstream release.
    - rxe: Remove rxe_cfg
  * Bump Standards-Version to 4.5.0

 -- Benjamin Drung <benjamin.drung@cloud.ionos.com>  Wed, 12 Feb 2020 17:21:38 +0100

rdma-core (27.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository, Repository-Browse.

  [ Benjamin Drung ]
  * debian: Remove obsolete ibverbs-providers conffiles (Closes: #947307)

 -- Benjamin Drung <benjamin.drung@cloud.ionos.com>  Mon, 06 Jan 2020 13:23:44 +0100

rdma-core (27.0-1) unstable; urgency=medium

  * New upstream release
    - libcxgb3: Remove libcxgb3 from rdma-core
    - libnes: Remove libnes from rdma-core
  * Add missing build dependency dh-python

 -- Benjamin Drung <benjamin.drung@cloud.ionos.com>  Mon, 23 Dec 2019 13:22:46 +0100

rdma-core (26.0-2) unstable; urgency=medium

  * Improve/extent description of python3-pyverbs
  * Bump Standards-Version to 4.4.1 (no changes required)
  * Add Rules-Requires-Root: no

 -- Benjamin Drung <benjamin.drung@cloud.ionos.com>  Tue, 29 Oct 2019 13:22:15 +0100

rdma-core (26.0-1) unstable; urgency=medium

  * New upstream release.
    - Include infiniband-diags source package producing infiniband-diags,
      libibmad5, libibmad-dev, libibnetdisc5, and libibnetdisc-dev.
  * Update private libibverbs symbols
  * Specify Build-Depends-Package for libibmad5 and libibnetdisc5

 -- Benjamin Drung <benjamin.drung@cloud.ionos.com>  Thu, 24 Oct 2019 11:27:45 +0200

rdma-core (24.0-2) unstable; urgency=medium

  * Skip installing efa if the architecture lacks coherent DMA support

 -- Benjamin Drung <benjamin.drung@cloud.ionos.com>  Thu, 11 Jul 2019 12:34:23 +0200

rdma-core (24.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop pyverbs-Add-shebang-to-ib_devices.py-example.patch (applied upstream)
  * Bump Standards-Version to 4.4.0 (no changes needed)
  * Switch to debhelper 12
  * Add Pre-Depends on ${misc:Pre-Depends}
  * Drop debug symbol migration

 -- Benjamin Drung <benjamin.drung@cloud.ionos.com>  Wed, 10 Jul 2019 12:39:27 +0200

rdma-core (22.1-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Benjamin Drung <benjamin.drung@cloud.ionos.com>  Wed, 06 Feb 2019 15:58:48 +0100

rdma-core (22.0-1) unstable; urgency=medium

  * New upstream release.
    - mlx5: Add DEVX APIs for interop with verbs objects
    - Add pyverbs Python binding
  * Update private libibverbs symbols
  * Bump Standards-Version to 4.3.0 (no changes required)

 -- Benjamin Drung <benjamin.drung@cloud.ionos.com>  Tue, 22 Jan 2019 13:27:29 +0100

rdma-core (21.0-1) unstable; urgency=medium

  * New upstream release.
    - Drop ibacm sysV init script to avoid issues with the sysV to systemd
      wrapper starting the service instead of the socket (LP: #1794825)
    - Include static libraries in the build
  * Update private libibverbs symbols
  * Specify Build-Depends-Package in symbols

 -- Benjamin Drung <benjamin.drung@cloud.ionos.com>  Tue, 20 Nov 2018 11:49:25 +0100

rdma-core (20.0-1) unstable; urgency=medium

  * New upstream release.
    - Switch from net-tools to iproute2 for rxe_cfg
    - Install pkg-config files
  * Update libibverbs symbols and let libibverbs1 break ibverbs-providers < 20~
  * Drop all patches (accepted upstream)
  * Bump Standards-Version to 4.2.1 (no changes needed)

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Mon, 10 Sep 2018 11:23:11 +0200

rdma-core (19.0-1) unstable; urgency=medium

  * New upstream release.
  * Switch to debhelper 11
  * Add patch to fix bad whatis entries in man pages

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Thu, 28 Jun 2018 15:01:27 +0200

rdma-core (18.1-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Drop all patches (applied upstream)

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Tue, 12 Jun 2018 11:53:44 +0200

rdma-core (18.0-1) unstable; urgency=medium

  * New upstream release.
  * Update private libibverbs symbols and let libibverbs1 break
    ibverbs-providers < 18~
  * Fix bad whatis entries in man pages
  * Fix spelling mistakes in ibv_create_flow_action.3 man page
  * Use versioned Breaks & Replaces for ibverbs-providers to make it
    multi-arch coinstallable (Closes: #898055)

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Mon, 07 May 2018 13:40:40 +0200

rdma-core (17.1-2) unstable; urgency=medium

  * Support for new architecture riscv64 (Closes: #894995) by
    - Whitelist (instead of blacklist) architectures that support valgrind
    - Whitelist (instead of blacklist) coherent DMA supporting architectures
  * Bump Standards-Version to 4.1.4 (no changes needed)

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Mon, 30 Apr 2018 19:01:44 +0200

rdma-core (17.1-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Mon, 19 Mar 2018 13:32:31 +0100

rdma-core (17.0-1) unstable; urgency=medium

  * New upstream release
    - Remove the obsolete libibcm library
  * Update private libibverbs symbols and let libibverbs1 break
    ibverbs-providers < 17~
  * Update copyright for kernel-headers directory

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Mon, 19 Feb 2018 12:47:42 +0100

rdma-core (16.2-1) unstable; urgency=medium

  * New upstream bugfix release
  * Guard udevadm call again
  * Override intentional systemd WantedBy= relationship lintian warning

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Thu, 15 Feb 2018 11:41:14 +0100

rdma-core (16.1-2) unstable; urgency=medium

  * Do not require valgrind on ia64 (Closes: #887511)

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Fri, 19 Jan 2018 12:37:05 +0100

rdma-core (16.1-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Bump Standards-Version to 4.1.3 (no changes needed)
  * Add udev dependency to rdma-core and srptools

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Thu, 04 Jan 2018 14:42:26 +0100

rdma-core (16.0-1) unstable; urgency=medium

  * New upstream release.
  * Update private libibverbs symbols
  * Bump Standards-Version to 4.1.2 (no changes needed)

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Tue, 12 Dec 2017 11:01:38 +0100

rdma-core (15.1-1) unstable; urgency=medium

  * New upstream release.
  * Add m68k as non-coherent DMA architecture
  * Mark libraries as Multi-Arch: same

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Thu, 30 Nov 2017 12:08:26 +0100

rdma-core (15-3) unstable; urgency=medium

  * debian/rules: Include architecture.mk for DEB_HOST_ARCH definition
  * Add alpha, hppa, sh4 as non-coherent DMA archs
  * Do not require valgrind on x32 (not available there due to build failure)

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Thu, 16 Nov 2017 17:33:48 +0100

rdma-core (15-2) unstable; urgency=medium

  * Do not build ibacm for non-Linux architectures
  * Do not require valgrind if not available
  * Let libibverbs1 15 break ibverbs-providers 14
  * Drop dh-systemd build dependency
  * Bump Standards-Version to 4.1.1 (no changes needed)
  * Drop lintian overrides for false positives
  * Set myself as maintainer (instead of linux-rdma)
  * Do not try to install disabled ibverbs providers on architectures that do
    not provide cache coherent DMA (Closes: #881731)
  * Explicitly list private libibverbs symbols

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Thu, 16 Nov 2017 12:55:28 +0100

rdma-core (15-1) unstable; urgency=medium

  * New upstream version. ibverbs-providers combines the source packages
    libcxgb3, libipathverbs, libmlx4, libmlx5, libmthca, and libnes.
    rdma-core also combines the source packages ibacm, libibcm, libibumad,
    libibverbs, librdmacm, and srptools (Closes: #848971)

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Mon, 18 Sep 2017 11:00:39 +0200
